## devscripts 2.9.20

=== Makefile ===
# Simplified Makefile for devscripts

PL_FILES = bts.pl checkbashisms.pl cvs-debuild.pl dd-list.pl debchange.pl \
	debcommit.pl debdiff.pl debi.pl debpkg.pl debuild.pl dget.pl \
	dpkg-depcheck.pl dscverify.pl grep-excuses.pl mass-bug.pl \
	plotchangelog.pl rc-alert.pl rmadison.pl svnpath.pl

SH_FILES = annotate-output.sh archpath.sh cvs-debi.sh cvs-debrelease.sh \
	deb-reversion.sh debclean.sh debrelease.sh debrsign.sh debsign.sh \
	dpkg-genbuilddeps.sh mergechanges.sh nmudiff.sh pts-subscribe.sh \
	tagpending.sh uscan.sh uupdate.sh whodepends.sh who-uploads.sh \
	wnpp-alert.sh

LIBS = libvfork.so.0

PERL_MODULES = Devscripts

CWRAPPERS = debpkg-wrapper

SCRIPTS = $(PL_FILES:.pl=) $(SH_FILES:.sh=)
EXAMPLES = conf.default

MAN1S = $(SCRIPTS:=.1) debc.1 cvs-debc.1 devscripts.1
GEN_MAN1S = bts.1 debcommit.1 deb-reversion.1 dget.1 mass-bug.1 \
	rmadison.1 svnpath.1
MAN5S = devscripts.conf.5
MANS_fr_DIR = po4a/fr
MAN1S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.1))
MAN5S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.5))

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
EXAMPLES_DIR = /usr/share/devscripts
PERLMOD_DIR = /usr/share/devscripts
BIN_LIBDIR = /usr/lib/devscripts
MAN1DIR = /usr/share/man/man1
MAN5DIR = /usr/share/man/man5
MAN1DIR_fr = /usr/share/man/fr/man1
MAN5DIR_fr = /usr/share/man/fr/man5

all: $(SCRIPTS) $(GEN_MAN1S) $(EXAMPLES) $(LIBS) $(CWRAPPERS) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

%: %.sh version
	if grep -q '^#! */bin/sh' $<; then \
	  echo "$< is a /bin/sh script, not a bash script!" >&2; \
	  exit 1; \
	fi
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@
	bash -n $@

%: %.pl version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@
	perl -c $@

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

%.1: %.pl
	pod2man --center=" " --release="Debian Utilities" $< > $@

%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

translated_manpages:
	cd po4a && po4a --no-backups devscripts-po4a.conf

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	cd po4a && po4a --rm-translations --no-backups devscripts-po4a.conf

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<

libvfork.so.0: libvfork.o
	$(CC) -shared $< -ldl -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean: clean_translated_manpages
	rm -f version conf.default $(SCRIPTS) $(GEN_MAN1S) $(SCRIPT_LIBS) \
	    $(CWRAPPERS) libvfork.o libvfork.so.0

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cd $(DESTDIR)$(BINDIR) && ln -s debchange dch
	cd $(DESTDIR)$(BINDIR) && ln -s debi debc
	cd $(DESTDIR)$(BINDIR) && ln -s cvs-debi cvs-debc
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(PERLMOD_DIR)
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	# Special treatment for debpkg
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
	mkdir -p $(DESTDIR)$(MAN1DIR)
	cp $(MAN1S) $(DESTDIR)$(MAN1DIR)
	mkdir -p $(DESTDIR)$(MAN5DIR)
	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
	mkdir -p $(DESTDIR)$(MAN1DIR_fr)
	cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
	mkdir -p $(DESTDIR)$(MAN5DIR_fr)
	cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
	cd $(DESTDIR)$(MAN1DIR_fr) && ln -s debchange.1 dch.1
	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
#	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;
#	-find $(DESTDIR) -type d -name 'CVS' -exec rm -r \{\} \;

=== debian/changelog ===
devscripts (2.9.20) unstable; urgency=low

  * debuild: set DEB_{BUILD,HOST}_* variables as dpkg-buildpackage does
    (Closes: #364256)
  * debuild: improve missing .orig.tar.gz warning
  * uscan: mention upgrading points in the manpage.
  * uupdate: allow upstream version numbers to use A-Z (Closes:#367055)

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 May 2006 07:27:17 +0100

devscripts (2.9.19) unstable; urgency=low

  * debuild: fix -I and -i option handling (Closes: #363368)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Apr 2006 21:41:51 +0100

devscripts (2.9.18) unstable; urgency=low

  * uscan: fix parsing howler: uscan would never work like this - oops!
    (Closes: #363338)

 -- Julian Gilbey <jdg@debian.org>  Tue, 18 Apr 2006 17:58:20 +0100

devscripts (2.9.17) unstable; urgency=low

  [ Julian Gilbey ]
  * several Perl scripts: make sure we set the SIGPIPE handler before
    doing an open '-|'
  * bts: actually support the --sendmail option rather than just say we
    do! (Closes: #293715)
  * bts: fix URI in manpage (Closes: #360783)
  * bts: fix unblock NNNNN by|with NNNNN handling (Closes: #361029)
  * bts: fix uninitialized value bugs (Closes: #362187)
  * debchange: add --qa option (Closes: #358278)
  * debdiff: check file permissions and new/deleted control files (Closes:
    #203781, #230702)
  * debdiff: option --controlfiles to allow comparing postinst
    etc. (Closes: #218222)
  * debrelease, debc, debi: support searching for .changes and .debs in a
    directory other than the parent of the currnent source directory with
    --debs-dir command line and DEBRELEASE_DEBS_DIR configuration file
    options (Closes: #309362)
  * debuild: emulate dpkg-buildpackage rather than call it (unless
    dpkg-cross is installed); this provides a hook facility (Closes:
    #226947)
  * debuild: complains if debian revision in native version (Closes:
    #262525)
  * dget: fix manpage type (Closes: #361877)
  * mass-bug: new script (Closes: #355505)
  * pts-subscribe: fix config boilerplate to actually set default timeout
    (Closes: #360857)
  * pts-subscribe.1: improve the wording of the manpage (Closes: #360027)
  * svnpath: fix svk info error (Closes: #361979)
  * uscan: *really* fix the uninitialized value bug (Closes: #356959,
    #361319)
  * uscan: provide downloadurlmangle and filenamemangle options to mangle
    the URL and filename before attempting to perform and save the
    download respectively (Closes: #327404)
  * uscan: fix manpage typo (dversionmangle) (Closes: #362202)
  * uscan: provide "versionmangle" option which does both
    {u,d}versionmangle (Closes: #350455)
  * uupdate: correct syntax error (Closes: #360995)
  * who-uploads: new script to determine most recent uploaders of a
    package to the Debian archive (Closes: #347809)

  [ Joey Hess ]
  * dd-list: actually support white-space separate pages names from stdin,
    as documented on man page.
  * rmadison: escape "+" in package names in http query string

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Apr 2006 19:43:15 +0100

devscripts (2.9.16) unstable; urgency=low

  [ Julian Gilbey ]
  * Fix 2.9.15 changelog to refer to pts-subscribe, not pkg-subscribe
    (Closes: #353413)
  * bts: be stricter about bug number cruft (Closes: #356318)
  * bts: add spamreport as a synonym for reportspam
  * debcommit: add --help, --version
  * debdiff: fix unnecessary chdir (Closes: #354862)
  * debdiff: compare control files in multi-deb binary packages - this was
    just a coding problem, and could have been done for ages (Closes: #354868)
  * pts-subscribe: Depends on the "at" package (Closes: #353502)
  * uupdate: handle already-unpacked source code archives (Closes: #286253)
  * uscan: avoid warnings on one-word actions (Closes: #356959)
  * uscan: clarify manpage regarding spaces in URLs (Closes: #359190)
  * debian/rules: remove mention of DH_ALWAYS_EXCLUDE (see Bug#352626)

  [ Joey Hess ]
  * debcommit: Add program name to all error messages.

 -- Julian Gilbey <jdg@debian.org>  Wed, 29 Mar 2006 16:20:17 +0100

devscripts (2.9.15) unstable; urgency=low

  * bts: handle bts show pkg archive=yes more gracefully
  * bts: require mailx | mailutils (mailutils provides mailx anyhow)
  * bts: always allow Bug#NNNNNN: or #NNNNN etc. in commands (Closes:
    #353049)
  * bts: support caching RC bug pages (Closes: #236312)
  * bts: support subscribe/unsubscribe commands (Closes: #339661)
  * bts: support alternative sendmail command (Closes: #343752)
  * debdiff: handle multi-binary packages and allow comparison of control
    files from each corresponding pair of binary packages - thanks to
    Robert Luberda <robert@debian.org> for the patch (Closes: #174858)
  * general: improve getopt handling
  * pts-subscribe: new script to subscribe to the PTS for a limited time
    period (Closes: #202866)

 -- Julian Gilbey <jdg@debian.org>  Thu, 16 Feb 2006 16:17:15 +0000

devscripts (2.9.14) unstable; urgency=low

  * deb-reversion: correctly handle multiword hooks (Closes: #351250)
  * deb-reversion: die if not being run as root or using fakeroot
  * deb-reversion: major improvements to manpage
  * debchange: fall back on NAME envvar if DEBFULLNAME is not defined
    (Closes: #340292)
  * debrelease: allow it to run in normal situations again (broken when
    fixing #322926, #217546)
  * uscan: always pass --no-symlink to uupdate as uscan does the
    symlinking itself (Closes: #345874)
  * uscan: handle multi-word actions

 -- Julian Gilbey <jdg@debian.org>  Mon, 13 Feb 2006 11:33:47 +0000

devscripts (2.9.13) unstable; urgency=low

  * Don't include .svn directory in md5sums (Closes: #352273)
  * bts: fix new caching code (thanks to Frank Lichtenheld for this one)
    (Closes: #352476)
  * bts: correctly handle DEBEMAIL='Name <email>' (Closes: #342883)
  * debcommit: handle commit messages for git-based setups (Closes:
    #352004)
  * uscan: check sanity of downloaded files (Closes: #303958)



=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.2
Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
  - annotate-output: run a command and prepend time and stream (O for stdout,
      E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
      libwww-perl, mailx | mailutils]
  - checkbashisms: check whether a /bin/sh script contains any common
      bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
      dupload | dput, ssh]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
      package building program [cvs-buildpackage, fakeroot, lintian | linda,
      gnupg]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files [wget]
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs or svn, basing commit message on
      changelog [cvs | subversion]
  - debdiff: compare two versions of a Debian package to check for
      added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
      the rest of the package to be present; can sign the pair remotely
      or fetch the pair from a remote machine for signing [gnupg,
      debian-keyring, ssh]
  - debuild: wrapper to build a package without having to su or worry
      about how to invoke dpkg to build using fakeroot.  Also deals
      with common environment problems, umask etc. [fakeroot,
      lintian | linda, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
      archive
  - dget: downloads Debian source and binary packages [wget]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
      the build of a Debian package; useful for determining the Build-Depends
      control field needed [build-essential, strace]
  - dscverify: verify the integrity of a Debian package from the
      .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages [wget]
  - mass-bug: mass-file bug reports [mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
      architectures
  - nmudiff: mail a diff of the current package against the previous version
      to the BTS to assist in tracking NMUs [mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
      [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
      [mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages [wget]
  - svnpath: print svn repository paths [subversion]
  - tagpending: shell script which runs from a Debian source tree and tags
      bugs that are to be closed in the latest changelog as pending.
      [wget]
  - uscan: scan upstream sites for new releases of packages [libwww-perl]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads [gnupg, debian-keyring, wget]: determine the most recent
      uploaders of a package to the Debian archive
  - wnpp-alert: list installed packages which are orphaned or up for
      adoption [wget]
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

## devscripts 2.9.26~bpo.1

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	rmadison.1 svnpath.1
 MAN5S = devscripts.conf.5
 MANS_fr_DIR = po4a/fr
+GEN_MAN1S_fr = $(patsubst %,$(MANS_fr_DIR)/%,$(GEN_MAN1S))
 MAN1S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.1))
 MAN5S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.5))
 
@@ -74,21 +75,28 @@
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
 translated_manpages:
-	cd po4a && po4a --no-backups devscripts-po4a.conf
+	cd po4a && po4a devscripts-po4a.conf
+	# These may or may not have been successfully made; we don't stop
+	# building the rest of the package in such a case
+	for i in $(GEN_MAN1S_fr); do \
+	    $(MAKE) $$i || true; \
+	done
+	touch translated_manpages
 
 clean_translated_manpages:
 	# Update the POT/POs and remove the translated man pages
-	cd po4a && po4a --rm-translations --no-backups devscripts-po4a.conf
+	rm -f po4a/*/*.[1-8]
+	rm -f translated_manpages
 
 libvfork.o: libvfork.c
 	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
 
 libvfork.so.0: libvfork.o
-	$(CC) -shared $< -ldl -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
+	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
 
 clean: clean_translated_manpages
 	rm -f version conf.default $(SCRIPTS) $(GEN_MAN1S) $(SCRIPT_LIBS) \
-	    $(CWRAPPERS) libvfork.o libvfork.so.0
+	    $(GEN_MAN1S_fr) $(CWRAPPERS) libvfork.o libvfork.so.0
 
 install: all
 	mkdir -p $(DESTDIR)$(BINDIR)
@@ -109,10 +117,12 @@
 	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
 	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
 	mkdir -p $(DESTDIR)$(MAN1DIR_fr)
-	cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
+	-cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
+	-cp $(GEN_MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
 	mkdir -p $(DESTDIR)$(MAN5DIR_fr)
-	cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
-	cd $(DESTDIR)$(MAN1DIR_fr) && ln -s debchange.1 dch.1
+	-cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
+	cd $(DESTDIR)$(MAN1DIR_fr) && \
+	    if [ -f debchange.1 ]; then ln -s debchange.1 dch.1; fi
 	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
 	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
 #	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;

=== debian/changelog ===
devscripts (2.9.26~bpo.1) sarge-backports; urgency=low

  * Backport.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Dec 2006 16:18:16 +0100

devscripts (2.9.26) unstable; urgency=low

  * deb-reversion: update to new upstream version (Closes: #329374)
  * debc/debi: handle specifying changes file on command line again
    (Closes: #398152)
  * debc/debi: handle arch all packages correctly (oops!) (Closes:
    #398597)
  * dget: new upstream version, supports looking in other places for
    files, new binnmu version scheme, --no-cache, file:// and copy:// and
    fixed bug that --help/--version required other arguments (Closes:
    #385954, #356208)
  * nmudiff: allow configuration of whether to send report to existing
    bugs or create a new bug (Closes: #397912)
  * uscan: avoid spurious undefined warning if --package is used

 -- Julian Gilbey <jdg@debian.org>  Fri, 17 Nov 2006 13:03:03 +0000

devscripts (2.9.25) unstable; urgency=low

  * nmudiff: reinstall mutt as mailer of choice, but now provide the
    option to use it or not (Closes: #397641)

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Nov 2006 20:39:24 +0000

devscripts (2.9.24) unstable; urgency=low

  * debc/debi: handle multi-arch .changes files (Closes: #385673)
  * debchange: allow non-official distributions (Closes: #397546)
  * debdiff: handle files moving between multiple packages correctly
    (Closes: #392977)
  * debuild: make -B -b work sensibly (Closes: #396232)
  * debuild: don't check for .orig.tar.gz if we're doing a binary-only
    build (Closes: #394627)
  * dget: improve manpage (Closes: #376237)
  * dget: warn and exit with error if URL cannot be downloaded (Closes:
    #376932)
  * mass-bug: don't wrap signatures (Closes: #386123)
  * nmudiff: clean up properly, and abort on editor error
  * tagpending: make -v mean verbose; add long option names (Closes:
    #387293)
  * uscan: set HTTP user agent name (Closes: #397354)
  * wnpp-alert: check return status of wget calls (Closes: #364479)
  * [I18N] Include new versions of French manpages (Closes: #379614)

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Nov 2006 19:16:22 +0000

devscripts (2.9.23) unstable; urgency=low

  * bts: automatically create cache directory when bts show is used
    (Closes: #370205)
  * debchange: can change urgency and distro using -D and -u flags
    (Closes: #373271)
  * debuild: check for either .orig.tar.gz or a .orig directory, as
    dpkg-source does (Closes: #366286)
  * dget: introduce --insecure option for allowing downloading from site
    with self-signed certificate (Closes: #393942)
  * nmudiff: much improved behaviour:
    - remove dependency on mutt (use /usr/sbin/sendmail instead)
    - automatically mail the relevant bugs rather than submit a new bug
      report; this can be changed using the --new command line option
    - allow for aborting, changing the bug number submitted to and editing
      the whole message
    - checking for errors rather than making a mess of things
    - cleaning up the manpage
    (Closes: #378264, #386147, #370056)
  * uscan: fix handling of ftp directory listings with number-only
    directory names (Closes: #372609)
  * uscan: warn if no parentheses in one-term version 2/3 watchfile
    (Closes: #375557)
  * uupdate: handle ~ in version numbers (Closes: #397100)
  * who-uploads: add GPG key ID to "unrecognised key" message (Closes:
    #397293)

 -- Julian Gilbey <jdg@debian.org>  Mon,  6 Nov 2006 18:11:46 +0000

devscripts (2.9.22~bpo.2) sarge-backports; urgency=low

  * Re-add myself to Uploaders for backport tracking.

 -- Christoph Berg <myon@debian.org>  Tue,  7 Nov 2006 14:58:15 +0100

devscripts (2.9.22~bpo.1) sarge-backports; urgency=low

  * Backport.

 -- Christoph Berg <myon@debian.org>  Tue,  7 Nov 2006 12:59:36 +0100

devscripts (2.9.22) unstable; urgency=low

  [ Julian Gilbey ]
  * Makefile: remove -ldl flag in libvfork linker line (from checklib
    output, see http://rerun.lefant.net/checklib)
  * control: make list render nicely with new aptitude list-handling
    facility (Closes: #388856)
  * bts: documentation for show usertag=...: s/user=/users=/
  * checkbashisms: make reasons for concern explicit, and show whole line
    of original script, not just matched fragment
  * dget: support ~ in package version numbers (Closes: #389482)
  * rmadison: make curl quiet (important when piping the output of
    rmadison)
  * who-uploads: don't bother with iconv -t option; it's the default
    behaviour anyway (see Bug#384835)

  [ Joshua Kwan ]
  * Remove myself from Uploaders. -ENOTIME :(

 -- Julian Gilbey <jdg@debian.org>  Wed, 11 Oct 2006 20:16:02 +0100

devscripts (2.9.21~bpo.1) sarge-backports; urgency=low

  * Backport.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Sep 2006 02:45:53 +0200

devscripts (2.9.21) unstable; urgency=low

  * bts: reportspam/spamreport can now take multiple bug numbers
  * bts: add support for forcemerge (Closes: #369050, #380041)
  * bts: always include "# Automatically generated email" message (thanks
    to Justin Pryzby for spotting this)
  * bts: chdir back to original directory after downloading files (Closes:
    #372546)
  * bts: don't automatically use a -t option unless we are using
    /usr/sbin/sendmail or /usr/sbin/exim* (Closes: #373664)
  * bts: allow mailreader setting to contain spaces (Closes: #370208)
  * checkbashisms: check for $((cnt+1)), echo -n/-e, exec -c/-l/-a, let
    and $RANDOM (Closes: #369851, #377195, #378406, #383613)
  * dd-list: treat lists.alioth.debian.org like lists.debian.org (Closes:
    #373809)
  * debchange: clarified name of changelog file in more error/warning
    messages (see bug#368961)
  * debchange: can specify a NEWS file to edit (still defaults to
    debian/NEWS) (Closes: #384676)
  * debdiff: fixed --move(-regex) options (broken by #203781 and #230702
    fix in 2.9.17) (Closes: #370388)
  * dpkg-genbuilddeps: clean up if statement (Closes: #365372)


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>, Christoph Berg <myon@debian.org>
Standards-Version: 3.7.2
Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libwww-perl, mailx | mailutils]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
    dupload | dput, ssh]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
    package building program [cvs-buildpackage, fakeroot, lintian | linda,
    gnupg]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files [wget]
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs or svn, basing commit message on
    changelog [cvs | subversion]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot,
    lintian | linda, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
    archive
  - dget: downloads Debian source and binary packages [wget]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages [wget]
  - mass-bug: mass-file bug reports [mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
    architectures
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages [wget]
  - svnpath: print svn repository paths [subversion]
  - tagpending: shell script which runs from a Debian source tree and tags
    bugs that are to be closed in the latest changelog as pending.
    [wget]
  - uscan: scan upstream sites for new releases of packages [libwww-perl]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads [gnupg, debian-keyring, wget]: determine the most recent
    uploaders of a package to the Debian archive
  - wnpp-alert: list installed packages which are orphaned or up for
    adoption [wget]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optimize := -O0
else
optimize := -O2
endif

# Here we perform some checks to ensure that we haven't goofed or left
# debugging code around or ... before we build the package
test: test-stamp
test-stamp:
	# debugging info in bts?
	if grep -q '\$$debug *= *1' bts.pl; then exit 1; else exit 0; fi
	touch test-stamp

build-indep: build-stamp-indep
build-stamp-indep: test-stamp
	dh_testdir
	touch build-stamp-indep

build-arch: build-stamp-arch
build-stamp-arch: test-stamp
	dh_testdir
	$(MAKE) CFLAGS='-g $(optimize) -Wall'
	touch build-stamp-arch

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	rm -f build-stamp* test-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
#	This is now done by the make install command above
#	dh_installman
	dh_link /usr/share/devscripts/conf.default \
		/usr/share/doc/devscripts/devscripts.conf.ex
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	install

# Local variables:
# mode: makefile
# End:

## devscripts 2.9.26

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
 translated_manpages:
-	cd po4a && po4a devscripts-po4a.conf
+	cd po4a && po4a --no-backups devscripts-po4a.conf
 	# These may or may not have been successfully made; we don't stop
 	# building the rest of the package in such a case
 	for i in $(GEN_MAN1S_fr); do \
@@ -85,7 +85,7 @@
 
 clean_translated_manpages:
 	# Update the POT/POs and remove the translated man pages
-	rm -f po4a/*/*.[1-8]
+	cd po4a && po4a --rm-translations --no-backups devscripts-po4a.conf
 	rm -f translated_manpages
 
 libvfork.o: libvfork.c

## devscripts 2.9.26etch5

=== debian/changelog ===
devscripts (2.9.26etch5) oldstable-security; urgency=low

  * uscan: Fix regressions introduced by the previous release:
    + Track position in global matches to avoid infinite loops and handle
      zero-width matches.  Thanks, Raphael Geissert and Martín Ferrari.
    + Make download scripts which pass parameters to the called script
      work again.  Thanks, Ryan Niebur.      

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 09 Sep 2009 19:42:32 +0100

devscripts (2.9.26etch4) oldstable-security; urgency=low

  * uscan: Make download scripts using uupdate work correctly again.
    (Accidentally broken in etch3).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 25 May 2009 23:22:42 +0100

devscripts (2.9.26etch3) oldstable-security; urgency=low

  * uscan: Modify the handling of mangle rules in watch files to apply the
    rules without executing them as Perl code.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 24 Mar 2009 20:10:47 +0000

devscripts (2.9.26etch2) stable; urgency=low

  * debsign: Use mktemp rather than creating a temporary directory named
    after the process ID. (Closes: #507482)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 10 Jan 2009 17:41:14 +0000

devscripts (2.9.26etch1) stable; urgency=low

  * debsign: 
    + Add support for the new Checksums-Sha* .changes file fields
      introduced by dpkg 1.14.17 (Closes: #474949)
    + Abort if any unknown Checksums-* fields are found in the .changes
      file
    + Abort if the Format field of the .changes file is unsupported
      (greater than 1.8, less than 1.7 or non-numeric)
    + Use a case-insensitive search for field names

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 08 Dec 2008 18:12:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>, Christoph Berg <myon@debian.org>
+Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a (>= 0.26)
 
 Package: devscripts
 Architecture: any

## devscripts 2.9.26osso3

=== debian/changelog ===
devscripts (2.9.26osso3) unstable; urgency=low

  * Reverse the patch when cleaning

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 27 Jul 2007 18:07:10 +0300

devscripts (2.9.26osso2) unstable; urgency=low

  * Cleaned up the package a bit
  * Don't try to clean the po4a stuff

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 27 Jul 2007 17:21:29 +0300

devscripts (2.9.26osso1) unstable; urgency=low

  * Do not build translated man pages
  * Remove po4a from build dependencies
  * Add patch to build dependencies
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 27 Jul 2007 15:20:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
+Maintainer: maemo integration <integration@maemo.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a (>= 0.26)
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, patch
 
 Package: devscripts
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 build-arch: build-stamp-arch
 build-stamp-arch: test-stamp
 	dh_testdir
+	patch -d . -p0 < debian/no-translated-man-pages.patch
 	$(MAKE) CFLAGS='-g $(optimize) -Wall'
 	touch build-stamp-arch
 
@@ -35,6 +36,7 @@
 	dh_testdir
 	dh_testroot
 	-$(MAKE) clean
+	-patch -d . -p0 -R -N < debian/no-translated-man-pages.patch
 	rm -f build-stamp* test-stamp
 	dh_clean

## devscripts 2.9.27ubuntu13

=== Makefile ===
--- 
+++ 
@@ -128,3 +128,5 @@
 #	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;
 #	-find $(DESTDIR) -type d -name 'CVS' -exec rm -r \{\} \;
 
+#	Install Ubuntu specific scripts
+	cp requestsync $(DESTDIR)$(BINDIR)

=== debian/changelog ===
devscripts (2.9.27ubuntu13) feisty; urgency=low

  * requestsync:
     - "Debian unstable" instead of "unstable" in the subject of the email
     - "affects ubuntu/%s"; "affects distros/ubuntu/%s" doesn't work anymore
  * debian/control: suggests bzr (LP: #90721)
  * Freeze exception approved by Colin Watson

 -- Adrien Cunin <adri2000@ubuntu.com>  Sat,  7 Apr 2007 16:08:02 +0200

devscripts (2.9.27ubuntu12) feisty; urgency=low

  * debcommit.pl: Add option -c/--confirm to display the generated log message
    and interactively ask for confirmation before committing it.
  * Add requestsync, due to popular request.
  * Makefile: Install requestsync.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2007 09:41:11 +0200

devscripts (2.9.27ubuntu11) feisty; urgency=low

  * add --distributor= to override lsb_release output.  Value should exactly
    match the output of lsb_release.  (LP: #85366)

 -- LaMont Jones <lamont@debian.org>  Wed, 21 Mar 2007 12:21:50 -0600

devscripts (2.9.27ubuntu10) feisty; urgency=low

  * debchange.pl: Set default release (for -r) to feisty for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Mar 2007 12:54:09 +0000

devscripts (2.9.27ubuntu9) feisty; urgency=low

  * debuild.pl: Preserve DEBEMAIL environment variable by default, so that we
    can check it in dpkg-source.
  * debian/control: Set Ubuntu maintainer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  6 Mar 2007 10:16:05 +0100

devscripts (2.9.27ubuntu8) feisty; urgency=low

  * debchange.pl: Add -U/--upstream flag that forces originally "just
    increment the end" behaviour; Ubuntu is upstream for some pieces of
    software.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Feb 2007 15:56:09 +0000

devscripts (2.9.27ubuntu7) feisty; urgency=low

  * test/debchange.pl: Add test case for versions ending in ~prop1 or
    ~proposed1
  * debchanges.pl: Fix increment for those versions and keep the distribution
    of the last changelog entry.

 -- Michael Bienia <geser@ubuntu.com>  Wed, 31 Jan 2007 01:59:35 +0100

devscripts (2.9.27ubuntu6) feisty; urgency=low

  * debchange.pl: Allow repeated decimals in trailing version.
  * test/debchange.pl: Add test cases to match.

 -- Kees Cook <kees@ubuntu.com>  Fri, 26 Jan 2007 14:10:39 -0800

devscripts (2.9.27ubuntu5) feisty; urgency=low

  * debian/rules: add lsb-release to build deps (FTBFS due to tests).

 -- Kees Cook <kees@ubuntu.com>  Thu, 25 Jan 2007 12:42:19 -0800

devscripts (2.9.27ubuntu4) feisty; urgency=low

  * debchange: correct handling of version increments for security updates.
  * debian/rules, test/{Makefile,debchange.pl}: added small test harness to
    verify debchange version increments.

 -- Kees Cook <kees@ubuntu.com>  Thu, 25 Jan 2007 10:58:37 -0800

devscripts (2.9.27ubuntu3) feisty; urgency=low

  * debchange: Allow UNRELEASED in Ubuntu distro check.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jan 2007 08:47:38 +0000

devscripts (2.9.27ubuntu2) feisty; urgency=low

  * debchange (aka dch):
    - add support for Ubuntu versioning
    - set distribution to feisty if running on Ubuntu

 -- Michael Bienia <geser@ubuntu.com>  Fri, 22 Dec 2006 21:53:28 +0100

devscripts (2.9.27ubuntu1) feisty; urgency=low

  * debchange.pl:
    - fix Ubuntu Distro check.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 19 Dec 2006 17:31:26 +0100

devscripts (2.9.27) unstable; urgency=low

  * checkbashisms: check for 'select' (thanks to James Abley, Ubuntu user)
  * debchange: add support for Ubuntu's distro codenames
  * debchange: add support for ~ in version numbers (Closes: #400173)

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Dec 2006 08:02:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: maemo integration <integration@maemo.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Gilbey <jdg@debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, patch
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a (>= 0.26), lsb-release
 
 Package: devscripts
 Architecture: any
 Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
 Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
 Recommends: fakeroot
-Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
+Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | bzr | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
 Description: Scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 test-stamp:
 	# debugging info in bts?
 	if grep -q '\$$debug *= *1' bts.pl; then exit 1; else exit 0; fi
+	cd test && $(MAKE)
 	touch test-stamp
 
 build-indep: build-stamp-indep
@@ -26,7 +27,6 @@
 build-arch: build-stamp-arch
 build-stamp-arch: test-stamp
 	dh_testdir
-	patch -d . -p0 < debian/no-translated-man-pages.patch
 	$(MAKE) CFLAGS='-g $(optimize) -Wall'
 	touch build-stamp-arch
 
@@ -36,7 +36,6 @@
 	dh_testdir
 	dh_testroot
 	-$(MAKE) clean
-	-patch -d . -p0 -R -N < debian/no-translated-man-pages.patch
 	rm -f build-stamp* test-stamp
 	dh_clean
